For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get active orders

Retrieve all active buy orders currently waiting to be fulfilled on the TronSave marketplace.

Endpoint

Returns the global list of active buy orders available for matching.

GET https://api.tronsave.io/v2/orders/active-global

Rate limit: 3 requests per 1 second.

Headers

Name
Type
Description

apikey *

String

TronSave API Key (must belong to a whitelisted address). See Authentication.

Query parameters

Name
Type
Description

page

Integer

Page index, starting from 0. Default: 0

pageSize

Integer

Number of orders per page. Default: 10

Response

{
  "error": false,
  "message": "Success",
  "data": {
    "data": [
      {
        "id": string,            // Order identifier — use as orderId in Step 2
        "receiver": string,      // TRON address that receives the delegated resource
        "resourceAmount": number,// the amount of resource
        "resourceType": string,  // the resource type is "ENERGY" or "BANDWIDTH"
        "remainAmount": number,  // the remaining amount that can be matched by the system
        "orderType": string,     // type of order is "NORMAL" or "EXTEND"
        "price": number,         // price unit is equal to SUN
        "durationSec": number,   // rent duration, duration unit is equal to seconds
        "status": string,        // the order status, either Active or Completed
        "allowPartialFill": boolean, // Allow the order to be filled partially or not
        "payoutAmount": number,  // Total payout of this order (SUN)
        "fulfilledPercent": number, // The percent that shows filling progress. 0-100
        "createdAt": 1778467289
      }
    ],
    "total": 3
  }
}

Example response

Request examples

Next steps

  • Sell the resources - submit a signed delegate transaction against a chosen order.

  • Get Delegate Detail - get detailed information and the current status of a specific delegate using its delegateId.

Last updated